Bug 1417190 - Problem with default AJP hostname in IPv6 environment.
Summary: Problem with default AJP hostname in IPv6 environment.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pki-core
Version: 7.3
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: RHCS Maintainers
QA Contact: Asha Akkiangady
URL:
Whiteboard:
Depends On: 1413136
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 13:17 UTC by Jaroslav Reznik
Modified: 2020-04-15 15:11 UTC (History)
7 users (show)

Fixed In Version: pki-core-10.3.3-17.el7_3
Doc Type: Bug Fix
Doc Text:
The IPv4-specific "127.0.0.1" loopback address was previously used in the default server configuration file as the default AJP host name. This caused connections to fail on servers which run in IPv6-only environments. With this update, the default value is changed to "localhost", which works with both IPv4 and IPv6 protocols. Additionally, an upgrade script is available to automatically change the AJP host name on existing server instances.
Clone Of: 1413136
Environment:
Last Closed: 2017-03-02 17:27:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0389 normal SHIPPED_LIVE pki-core bug fix and enhancement update 2017-03-02 22:06:41 UTC

Description Jaroslav Reznik 2017-01-27 13:17:41 UTC
This bug has been copied from bug #1413136 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 3 Matthew Harmsen 2017-01-28 02:08:02 UTC
Cherry-picked to DOGTAG_10_3_RHEL_BRANCH from DOGTAG_10_3_BRANCH:
* 6dabd74991f54aa827bd38b7e1b50925620535ae
* 219c633d2aae2ae81724d4588e6aaf6969603ebb

Cherry-picked to DOGTAG_10_3_RHEL_UNRELEASED_BRANCH from DOGTAG_10_3_BRANCH:
* a9619a25af939ec86c8c3c856662612438246b22
* ca0aecdc4776b68887be690691882f879db421e5

Comment 5 bhavik 2017-02-01 12:36:20 UTC
Verified with build pki-core-10.3.3-17.el7_3

Steps followed :
1. created a CA instance
2. verified server.xml contains address as localhost instead of 127.0.0.1
<Connector port="20009" protocol="AJP/1.3" redirectPort="20443" address="localhost" />
3. verified default.cfg contains pki_ajp_host=localhost

Comment 7 errata-xmlrpc 2017-03-02 17:27:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0389.html


Note You need to log in before you can comment on or make changes to this bug.